Subject: Re: [PATCH v7 0/4] Add support for parametrized events

From: Michael Ellerman <[email-masked]>
Date: Mon, 02 Feb 2015 12:15:43 +1100

On Fri, 2015-01-30 at 11:52 -0300, Arnaldo Carvalho de Melo wrote:
> Em Thu, Jan 29, 2015 at 03:28:43PM +1100, Michael Ellerman escreveu:
> > On Mon, 2015-01-26 at 17:43 -0800, Sukadev Bhattiprolu wrote:
> > > Description of "event parameters" from the documentation patch:
> > > 
> > > Cody P Schafer (6):
> > >   perf: provide sysfs_show for struct perf_pmu_events_attr
> > >   perf: add PMU_EVENT_ATTR_STRING() helper
> > >   powerpc/perf/hv-24x7: parse catalog and populate sysfs with events
> > >   powerpc/perf/{hv-gpci, hv-common}: generate requests with counters
> > >     annotated
> > >   powerpc/perf/hv-gpci: add the remaining gpci requests
> > >   powerpc/perf/hv-24x7: Document sysfs event description entries
> > > 
> > > Sukadev Bhattiprolu (1):
> > >   perf: define EVENT_DEFINE_RANGE_FORMAT_LITE helper
> > 
> > Hi Sukadev,
> > 
> > I realise Cody wrote most of these and you are just getting them merged, but
> > they still need to be Signed-off-by you. Most of them aren't.
> > 
> > So please resend with them all signed off by you.
> > 
> > While you're at it, please drop all the CC lines, and move the changelog
> > annotations below the --- line so they are dropped when I apply them.
> > 
> > Also add Jiri's ack to the first two patches.
> 
> I'm ok taking Jiri's Ack for these and merge them, Suka, may I add your
> signed-off-by on those? (question for the record...).

Five of the seven are powerpc patches, so I'd rather they go via the powerpc
tree. Though if you really want to take them that's fine.

cheers